FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian User

 
 
LinkBack Thread Tools
 
Old 05-10-2011, 03:50 PM
Jim Pazarena
 
Default unable to apt-get an older system

I have a debian based appliance which is running 2.6.16.62, I am unsure how to
determine debian version.

I need to add wput (apt-get install wput)
however first I need to run apt-get update
which fails at:

Hit http://ftp.us.debian.org stable/contrib Release
Reading Package Lists... Error!
E: Unable to parse package file
/var/lib/apt/lists/ftp.us.debian.org_debian_dists_stable_main_binary-i386_Packages (1)

E: The package lists or status file could not be parsed or opened.

Is there a way around this? Other than a full update, which isn't possible
because the appliance runs a canned program which would likely choke on
a full upgrade.

Thanks!
--
Jim Pazarena debian@paz.bz


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Archive: 4DC95EA9.4090700@paz.bz">http://lists.debian.org/4DC95EA9.4090700@paz.bz
 
Old 05-10-2011, 04:43 PM
Tom Grace
 
Default unable to apt-get an older system

On 10/05/11 16:50, Jim Pazarena wrote:

I have a debian based appliance which is running 2.6.16.62, I am unsure
how to
determine debian version.

You may have some luck with:
cat /etc/debian_version
or
cat /etc/lsb-release


Is there a way around this? Other than a full update, which isn't possible
because the appliance runs a canned program which would likely choke on
a full upgrade.
I'm thinking the problem *might* be that you are running an old release,
but have "stable" in sources.list.
If you find the release you have installed, you may have more luck using
http://archive.debian.org/ in your sources.list.


Tom


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Archive: 4DC96B15.8000208@deathbycomputers.co.uk">http://lists.debian.org/4DC96B15.8000208@deathbycomputers.co.uk
 

Thread Tools




All times are GMT. The time now is 12:15 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org